Page MenuHomeFreeBSD

compiler-rt: add floatditf and floatunditf
ClosedPublic

Authored by emaste on Mar 30 2015, 1:48 PM.

Details

Summary

These are long integer (di_int/du_int) to quad precision floating point conversions.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

emaste updated this revision to Diff 4509.Mar 30 2015, 1:48 PM
emaste retitled this revision from to compiler-rt: add floatditf and floatunditf.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added reviewers: ed, dim, andrew.
ed added inline comments.Mar 30 2015, 1:57 PM
contrib/compiler-rt/lib/builtins/floatditf.c
12 ↗(On Diff #4509)

Out of curiosity, is this also what this function is supposed to do unconditionally? These functions are not supposed to integrate with fegetround() / FLT_ROUNDS?

47 ↗(On Diff #4509)

These functions do not support subnormal floating point numbers. Should this be implemented, or at least documented?

emaste added inline comments.Mar 30 2015, 2:13 PM
contrib/compiler-rt/lib/builtins/floatditf.c
12 ↗(On Diff #4509)

Good question; this was inherited from the floatsitf function I started from.

The thread I started on llvmdev is here:
http://lists.cs.uiuc.edu/pipermail/llvmdev/2015-March/084064.html

47 ↗(On Diff #4509)

I'm missing something - how would you implement int to subnormal float conversion?

ed added inline comments.Mar 30 2015, 2:15 PM
ed accepted this revision.Mar 31 2015, 7:28 AM
ed edited edge metadata.
This revision is now accepted and ready to land.Mar 31 2015, 7:28 AM
andrew edited edge metadata.Apr 7 2015, 10:14 AM

Any plan to commit this? It will be needed for the arm64 buildworld.

emaste closed this revision.Apr 7 2015, 7:31 PM
emaste updated this revision to Diff 4725.

Closed by commit rS281223 (authored by @emaste).